MGASA-2024-0234 - Updated python-werkzeug packages fix security vulnerability

Publication date: 24 Jun 2024
URL: https://advisories.mageia.org/MGASA-2024-0234.html
Type: security
Affected Mageia releases: 9
CVE: CVE-2024-34069

Werkzeug is a comprehensive WSGI web application library. The debugger
in affected versions of Werkzeug can allow an attacker to execute code
on a developer's machine under some circumstances. This requires the
attacker to get the developer to interact with a domain and subdomain
they control, and enter the debugger PIN, but if they are successful it
allows access to the debugger even if it is only running on localhost.
This also requires the attacker to guess a URL in the developer's
application that will trigger the debugger. This vulnerability is fixed
in 3.0.3.

References:
- https://bugs.mageia.org/show_bug.cgi?id=33201
- https://lwn.net/Articles/973069/
- https://ubuntu.com/security/notices/USN-6799-1
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-34069

SRPMS:
- 9/core/python-werkzeug-3.0.3-1.mga9

Mageia 2024-0234: python-werkzeug Security Advisory Updates

Werkzeug is a comprehensive WSGI web application library

Summary

Werkzeug is a comprehensive WSGI web application library. The debugger in affected versions of Werkzeug can allow an attacker to execute code on a developer's machine under some circumstances. This requires the attacker to get the developer to interact with a domain and subdomain they control, and enter the debugger PIN, but if they are successful it allows access to the debugger even if it is only running on localhost. This also requires the attacker to guess a URL in the developer's application that will trigger the debugger. This vulnerability is fixed in 3.0.3.

References

- https://bugs.mageia.org/show_bug.cgi?id=33201

- https://lwn.net/Articles/973069/

- https://ubuntu.com/security/notices/USN-6799-1

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-34069

Resolution

MGASA-2024-0234 - Updated python-werkzeug packages fix security vulnerability

SRPMS

- 9/core/python-werkzeug-3.0.3-1.mga9

Severity
Publication date: 24 Jun 2024
URL: https://advisories.mageia.org/MGASA-2024-0234.html
Type: security
CVE: CVE-2024-34069

Related News